Bug 492910 - RFE: Filter mirrors by "update time", when within that update timeframe
RFE: Filter mirrors by "update time", when within that update timeframe
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mirrormanager (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Matt Domsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-30 13:16 EDT by James Antill
Modified: 2009-10-07 09:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-07 09:54:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Antill 2009-03-30 13:16:38 EDT
Description of problem:
 From the discussion on f-d-l recently:

I wish it were that simple.  Perhaps if we had push-mirroring in
place, it would be.  As it stands, each mirror schedules its own
syncs.  Some every hour or so, some every 6, some once a day.  Rawhide
being the fastest churning piece on the mirror system, exposes these
latencies in ways that the other content simply doesn't.

...so working within that information it'd be interesting if we could say "X mirror only updates once every 12 hours, and rawhide changed 4 hours ago so filter it as it's likely out of date".
Comment 1 Matt Domsch 2009-04-07 13:35:23 EDT
the new mirrormanager-1.2.11 deployed to FI runs the crawler every hour or two.  So the latency between when a change happens and when we realize if a mirror does or does not have it has decreased considerably.

Next feature is to enable --canary mode in the crawler, now that the db knows the last changed time of each directory.  We can scan those even quicker then.
Comment 2 Matt Domsch 2009-10-07 09:54:57 EDT
Filed a net enhancement request in upstream MM.
https://fedorahosted.org/mirrormanager/ticket/19

Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.